## GORange GORange |

## Synopsis

    int                 go_range_sum                        (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_sumsq                      (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_average                    (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_min                        (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_max                        (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_maxabs                     (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_devsq                      (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_fractile_inter             (double const *xs,
                                                             int n,
                                                             double *res,
                                                             double f);
    int                 go_range_fractile_inter_nonconst    (double *xs,
                                                             int n,
                                                             double *res,
                                                             double f);
    int                 go_range_fractile_inter_sorted      (double const *xs,
                                                             int n,
                                                             double *res,
                                                             double f);
    int                 go_range_increasing                 (double const *xs,
                                                             int n);
    int                 go_range_median_inter               (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_median_inter_nonconst      (double *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_decreasing                 (double const *xs,
                                                             int n);
    int                 go_range_median_inter_sorted        (double const *xs,
                                                             int n,
                                                             double *res);
    double *            go_range_sort                       (double const *xs,
                                                             int n);
    int                 go_range_vary_uniformly             (double const *xs,
                                                             int n);

## Description

## Details

### go_range_sum ()

    int                 go_range_sum                        (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_sumsq ()

    int                 go_range_sumsq                      (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_average ()

    int                 go_range_average                    (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_min ()

    int                 go_range_min                        (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_max ()

    int                 go_range_max                        (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_maxabs ()

    int                 go_range_maxabs                     (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_devsq ()

    int                 go_range_devsq                      (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_fractile_inter ()

    int                 go_range_fractile_inter             (double const *xs,
                                                             int n,
                                                             double *res,
                                                             double f);

`xs` : |
`n` : |
`res` : |
`f` : |
Returns : |

### go_range_fractile_inter_nonconst ()

    int                 go_range_fractile_inter_nonconst    (double *xs,
                                                             int n,
                                                             double *res,
                                                             double f);

`xs` : |
`n` : |
`res` : |
`f` : |
Returns : |

### go_range_fractile_inter_sorted ()

    int                 go_range_fractile_inter_sorted      (double const *xs,
                                                             int n,
                                                             double *res,
                                                             double f);

`xs` : |
`n` : |
`res` : |
`f` : |
Returns : |

### go_range_increasing ()

    int                 go_range_increasing                 (double const *xs,
                                                             int n);

`xs` : |
`n` : |
Returns : |

### go_range_median_inter ()

    int                 go_range_median_inter               (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_median_inter_nonconst ()

    int                 go_range_median_inter_nonconst      (double *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_decreasing ()

    int                 go_range_decreasing                 (double const *xs,
                                                             int n);

`xs` : |
`n` : |
Returns : |

### go_range_median_inter_sorted ()

    int                 go_range_median_inter_sorted        (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_sort ()

    double *            go_range_sort                       (double const *xs,
                                                             int n);

`xs` : |
`n` : |
Returns : |

### go_range_vary_uniformly ()

    int                 go_range_vary_uniformly             (double const *xs,
                                                             int n);

`xs` : |
`n` : |
Returns : |